org.apache.hc.client5.http.async.methods

## Class SimpleHttpResponse

- java.lang.Object
- - org.apache.hc.core5.http.message.AbstractMessageWrapper
  - - org.apache.hc.core5.http.message.HttpResponseWrapper
    - - org.apache.hc.client5.http.async.methods.SimpleHttpResponse

All Implemented Interfaces:
  org.apache.hc.core5.http.HttpMessage, org.apache.hc.core5.http.HttpResponse, org.apache.hc.core5.http.MessageHeaders

    public final class SimpleHttpResponse
    extends org.apache.hc.core5.http.message.HttpResponseWrapper

### Constructor Summary

Constructors
Constructor and Description
`SimpleHttpResponse(org.apache.hc.core5.http.HttpResponse head, String body, org.apache.hc.core5.http.ContentType contentType)`
`SimpleHttpResponse(int code)`
`SimpleHttpResponse(int code, String body, org.apache.hc.core5.http.ContentType contentType)`
`SimpleHttpResponse(int code, String reasonPhrase, String body, org.apache.hc.core5.http.ContentType contentType)`

### Method Summary

Methods
`String` `getBody()`
`org.apache.hc.core5.http.ContentType` `getContentType()`

### Methods inherited from class org.apache.hc.core5.http.message.HttpResponseWrapper

`getCode, getLocale, getReasonPhrase, setCode, setLocale, setReasonPhrase`

### Methods inherited from class org.apache.hc.core5.http.message.AbstractMessageWrapper

`addHeader, addHeader, containsHeader, containsHeaders, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getSingleHeader, getVersion, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setVersion, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.hc.core5.http.HttpMessage

`addHeader, addHeader, getVersion, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setVersion`

### Methods inherited from interface org.apache.hc.core5.http.MessageHeaders

`containsHeader, containsHeaders, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getSingleHeader, headerIterator, headerIterator`

### Constructor Detail

#### SimpleHttpResponse

    public SimpleHttpResponse(org.apache.hc.core5.http.HttpResponse head,
                      String body,
                      org.apache.hc.core5.http.ContentType contentType)

#### SimpleHttpResponse

    public SimpleHttpResponse(int code,
                      String reasonPhrase,
                      String body,
                      org.apache.hc.core5.http.ContentType contentType)

#### SimpleHttpResponse

    public SimpleHttpResponse(int code,
                      String body,
                      org.apache.hc.core5.http.ContentType contentType)

#### SimpleHttpResponse

    public SimpleHttpResponse(int code)

### Method Detail

#### getBody

    public String getBody()

#### getContentType

    public org.apache.hc.core5.http.ContentType getContentType()